- [EXPERIMENTAL] Upsert Actual
Get cursor-based actuals for an employee
[EXPERIMENTAL] Get Actual by id
[EXPERIMENTAL] Delete Actual by id
[EXPERIMENTAL] Upsert Act...
Upsert a single Actual for an Employee.
Security
clientCredentials
The RFC7240 Prefer header indicates that a particular server behavior is preferred by the client but is not required for successful completion of the request (see RFC 7240).
The following behavior (see Examples) is supported by this API:
- return=<minimal|representation> is used to suggest the server to return using 204 without resource (minimal) or using 200 or 201 with resource (representation) in the response body on success.
Examples:
minimal
Indicate no response is needed, can be omitted
["return=minimal"]representation
Request the result of the operation as response
["return=representation"]A date and time when the activity was started.
Example:"2025-05-14T08:00:00Z"
- Mock serverhttps://developer.conundra.eu/_mock/apis/resource-management/resources-api/means/{employee_id}/actual/{id}
- Resources API Productionhttps://api.conundra.eu/resource-management/v1/means/{employee_id}/actual/{id}
{ "start": "2025-05-14T08:00:00Z", "end": "2025-05-14T17:00:00Z", "work_time": "PT8H" }
Actual created or updated
Unique identifier for this Actual.
Example:"14-05-2025-morning-shift"
A date and time when the activity was started.
Example:"2025-05-14T08:00:00Z"
The total work time performed by an Employee. Must be an ISO-8601 compliant Duration string. Must be strictly positive.
Example:"PT8H"
Response
{ "employee_id": "hvertenten", "business_id": "14-05-2025-morning-shift", "id": "14-05-2025-morning-shift", "start": "2025-05-14T08:00:00Z", "end": "2025-05-14T17:00:00Z", "work_time": "PT8H" }